<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>FUNCIONES</title>
	<style type="text/css" media="screen">
		body{
			font-family: Arial;
		}
		.container{
			display: grid;
			/* grid-template-columns: 20% 200px 25%; */
			/* grid-template-rows: 300px 300px; */

			/* grid-template: filas / columnas */

			/* funciones en gap */
			/* grid-template: 300px 100px 100px / repeat(4,1fr); */

			/* min y max con repeat */
			grid-template: 100px 1fr 100px / 200px 1fr;
			
			/* otro metodo */
			/* grid-template: 300px 100px 100px / 4,minmax(200px, 1fr) 1fr 1fr 1fr; */
			
			/* grid-column-gap: 30px; */
			/* grid-row-gap: 50px; */
			
			/* grid-gap: filas columnas; */
			grid-gap: 10px;
			height: 100vh;
			grid-template-areas: 	"header 	header" 
														"left 		contenido" 
														"footer 	footer";
		}
		.item{
			background: skyblue;
			padding: 10px;
			border: 1px red solid;
		}
		.item:nth-of-type(4){
			background: blue;
			overflow: auto;
			/* display: subgrid; */
			/* display: inline-grid; */
			display: grid;
			grid-template: 50px 50px 50px / 200px 200px 200px;
		}
		.item .item{
			background: yellow;
		}
		.header{
			grid-area: header;
		}
		.left{
			grid-area: left;
		}
		.contenido{
			grid-area: contenido;
		}
		.footer{
			grid-area: footer;
		}
	</style>
	<link rel="stylesheet" href="">
</head>
<body>
	<selection class="container">
		<div class="item header">HEADER</div>
		<div class="item left">LEFT</div>
		<div class="item contenido">CONTENIDO</div>
		<div class="item footer">FOOTER</div>
	</selection>

	<script>document.write('<script src="http://' + (location.host || '${1:localhost}').split(':')[0] + ':${2:35729}/livereload.js?snipver=1"></' + 'script>')</script>
</body>
</html>